Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453242 - guide does not tell you which packages you need to run an NFS server
Summary: guide does not tell you which packages you need to run an NFS server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jaromir Hradilek
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 09:53 UTC by Murray McAllister
Modified: 2016-06-17 21:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-16 23:47:16 UTC


Attachments (Terms of Use)

Description Murray McAllister 2008-06-28 09:53:28 UTC
Description of problem:

The Deployment Guide does not detail which packages are required to run an NFS
server.

Additional info:

Maybe a statement added to
<http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/en-US/RHEL510/Deployment_Guide/s2-nfs-how-daemons.html>
saying you need to install nfs-utils, nfs-utils-lib, and portmap.

This might not be required. I tried to do this on Fedora but could not find
documentation for which packages I needed anywhere. Does Red Hat Enterprise
Linux still use portmap? If not (like Fedora), you need the "rpcbind" package,
instead of "portmap".

Cheers.

Comment 3 Florian Nadge 2010-05-24 12:04:31 UTC
Does

Comment 4 Florian Nadge 2010-05-24 12:07:18 UTC
Sorry, does REHL 5 still use the portmap service or does it already replaced by the rpcbind service?

Comment 7 Steve Dickson 2010-05-26 17:05:30 UTC
Yes... RHEL5 still uses the portmapper

Comment 8 Florian Nadge 2010-05-28 11:50:36 UTC
So basically, could I say that the packages  nfs-utils, nfs-utils-lib, and portmap are required to run an NFS server???

Thanks

Comment 9 Florian Nadge 2010-06-09 09:47:19 UTC
Will add: 
To run an NFS server you need to install the packages  nfs-utils, nfs-utils-lib, and portmap.

Please, let me know whether this right. Many thanks

Comment 11 RHEL Product and Program Management 2010-08-09 18:29:08 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 12 Jaromir Hradilek 2010-10-21 16:50:48 UTC
Fixed in Red_Hat_Enterprise_Linux-Deployment_Guide-5-en-US-6-24.el5.

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Deployment_Guide/ch-nfs.html#s2-nfs-how-daemons

Comment 13 Andrew Ross 2010-10-21 21:11:17 UTC
Verified: Red_Hat_Enterprise_Linux-Deployment_Guide-5-web-en-US-6-24.el5

" To use NFS on your system, make sure you have the nfs-utils, nfs-utils-lib, and portmap packages installed. "


Note You need to log in before you can comment on or make changes to this bug.